# SPDX-License-Identifier: MIT
Version:   1.10
Release:   44%{?dist}
URL:       http://www.gnome.org/fonts/

%global common_description %{expand:
The Vera font families are high-quality Latin typefaces donated by Bitstream.}

License:   Bitstream Vera
BuildArch: noarch

%global    source_name    bitstream-vera-fonts
%global    source_summary The Bitstream Vera font families
%global    source_description %{expand:
%{?common_description}
}

%global foundry           Bitstream
%global fontlicenses      COPYRIGHT.TXT
%global fontdocs          *.TXT
%global fontdocsex        %{fontlicenses}

%global fontfamily0       Vera Sans
%global fontsummary0      Bitstream Vera Sans, a variable-width sans-serif font family
%global fontheader0       %{expand:
Obsoletes: bitstream-vera-fonts-common < %{version}-%{release}
Suggests: font(dejavusans)
}
%global fonts0            *.ttf
%global fontconfngs0      %{SOURCE1}
%global fontsex0          %{fonts1} %{fonts2}
%global fontdescription0 %{expand:
%{?common_description}

This package consists of the Bitstream Vera Sans sans-serif variable-width
font family.}

%global fontfamily1       Vera Serif
%global fontsummary1      Bitstream Vera Serif, a variable-width serif font family
%global fontheader1       %{expand:
Suggests: font(dejavuserif)
}
%global fonts1            VeraSe*ttf
%global fontconfngs1      %{SOURCE2}
%global fontdescription1 %{expand:
%{?common_description}

This package consists of the Bitstream Vera Serif serif variable-width font
family.}

%global fontfamily2       Vera Sans Mono
%global fontsummary2      Bitstream Vera Sans Mono, a mono-space sans-serif font family
%global fontheader2       %{expand:
Suggests: font(dejavusansmono)
}
%global fonts2            VeraMo*ttf
%global fontconfngs2      %{SOURCE3}
%global fontdescription2  %{expand:
%{?common_description}

This package consists of the Bitstream Vera Sans Mono mono-space sans-serif font
family.}

%fontpkg
%fontmetapkg

%sourcelist
%global archivename ttf-bitstream-vera
https://ftp.gnome.org/pub/GNOME/sources/%{archivename}/%{version}/%{archivename}-%{version}.tar.bz2
55-%{fontname0}.xml
55-%{fontname1}.xml
55-%{fontname2}.xml

%prep
%setup -q -n %{archivename}-%{version}

%build
%fontbuild

%install
%fontinstall

%check
%fontcheck

%fontfiles

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-44
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-43
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-42
🐞 Workaround Fedora problems created by rpm commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-41
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-40
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-39
✅ Lint, lint, lint and lint again

* Thu Feb 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-38
✅ Switch fontconfig priority to 55

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-37
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.10-36
✅ Convert to fonts-rpm-macros use

* Tue Jun 10 2003 Owen Taylor <otaylor@redhat.com> 1.10-1
- Base package on spec file from Nicolas Mailhot <nim@fedoraproject.org>
- Cleanups from Warren Togami and Nicolas Mailhot
